<!--弹出层-->
var flag ='';
$(function(){
	$('.close-btn').click(function(){
		$('.tip_box').fadeOut(function(){ $('#screen').hide(); });
		return false;
	});
	
	$('.tip_box-link').click(function(){
		flag = '1';
		buyOrders();
		var h = $(document).height();
		$('#screen').css({ 'height': h });	
		$('#screen').show();
		$('.tip_box').center();
		$('.tip_box').fadeIn();
		return false;
	});
	
	$('#saler').click(function(){
		flag='2';
		buyOrders();
		var h = $(document).height();
		$('#screen').css({ 'height': h });	
		$('#screen').show();
		$('.tip_box').center();
		$('.tip_box').fadeIn();
		return false;
		});
	$('#ok').click(function(){
		var orderId = $('input[name="orderNo"]:checked').val();
		if(!orderId){
			alert("请选择相应的订单");
			retrun ;
		}
		$('#orderId').val(orderId);
		$('.close-btn').trigger('click');
	});
	$('.btn.btn-grayRed.cancel').click(function(){
		$('.close-btn').trigger('click');
	});
	$('#submit').click(function(){
		var flag = true;
		$('input:text').each(function(i,item){
			if($(item).css('display')=='none' || $(item).attr('id')==''){
				return ;
			}
			if($(item).attr('id')=='contactWayCommon'){
				if(!checkItemRelease(item)){
					flag = false;
				}
			}
			if($(item).attr('id')=='orderId'){
				if($(item).parent().find('span.red')){
					$(item).parent().find('span.red').remove();
				}
				if($(':radio[name="advice.isOrder"]:checked').val()=='1' && $.trim($(item).val())==''){
					$(item).parent().append('<span class="red"> 请选择订单号码</span>');
					flag = false;
				}
			}
		});
		var type = $(':radio[name="advice.adviceType"]:checked').val();
		if(type=='2'){
			if($('#complainType').val()==''){
				$('#isComplainType').find('span.red').remove();
				$('#isComplainType').append('<span class="red"> 请选择投诉类型</span>');
				flag = false;
			}
		}
		var sRand = $('#sRand').val();
		var random = $('#random').val();
		if($.trim(sRand)==''){
			$('#sRand').parent().find('span.red').remove();
			$('#sRand').parent().append('<span class="red"> 请填写验证码</span>');
			flag=false;
		}else if(sRand==random){
			$('#sRand').parent().find('span.red').remove();
			$('#sRand').parent().append('<span class="red"> 验证码错误</span>');
			$('#sRand').val('');
			flag = false;
		}else{
			$('#sRand').parent().find('span.red').remove();
		}
		var comment = $.trim($('#adviceComment').val());
		if(comment==''){
			$('.text_box').parent().find('span.red').remove();
			$('.text_box').parent().append('<span class="red"> 请填写内容</span>');
			flag = false;
		}else{
			var reg = new RegExp("^[^<>%]{1,}$");
			if(!reg.test(comment)){
				alert("内容不能含有^<>%特殊字符");
				flag =false;
			}
			$('.text_box').parent().find('span.red').remove();
		}
		if(!flag){
			return false;
		}
		$('#adviceForm').submit();
	});
	$('#orderId').hide();
	$('.tip_box-link.blue.pushl').hide();
	$('.blue.pushl').hide();
	
	$('#orderSearch').click(function(){
		buyOrders();
	});
});

//验证手机号码
function validateMobile(em){
	var reg = new RegExp("^1[34578][0-9]{9}$");
	if($.trim(em.val()) == ''){
		if(em.parent().find('.red')){
			em.parent().find('.red').remove();
		}
		em.parent().append('<span class="red"> 请填写手机号码</span>');
		return false;
	}else if(!reg.test($.trim(em.val()))){
		if(em.parent().find('.red')){
			em.parent().find('.red').remove();
		}
		em.parent().append('<span class="red"> 请填写正确的手机号码</span>');
		return false;
	}else{
		if(em.parent().find('.red')){
			em.parent().find('.red').remove();
		}
	}
	return true;
}

function checkItemRelease(em) {
	$(em).parent().find('.red').remove();
	var contactWay = $(':radio[name="advice.contactWay"]:checked').val();
	var contactWayName = '';
	if(contactWay=='1'){
		contactWayName = '手机号码';
	}else{
		contactWayName ='QQ';
	}
	if ($.trim($(em).val()) == '') {
		$(em).parent().append('<span class="red"> 请填写'+contactWayName+'</span>');
		return false;
	} 
	if(contactWay=='1'){
		return validateMobile($(em));
	}
	if(contactWay=='2'){
		return validateQQ(em);
	}
}

function validateQQ(em){
	var regemail = new RegExp("^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$");
	var regNum = new RegExp("^[1-9]\\d{4,11}$");
	if($.trim($(em).val())==''){
		$(em).parent().append('<span class="red">请填写QQ号码</span>' );
     	return false;
	}
	if(!regemail.test($.trim($(em).val()))){
		if(!regNum.test($.trim($(em).val()))){
			$(em).parent().append('<span class="red">请填写正确的QQ号码</span>' );
			$(em).val('');
         	return false;
		}
 	}
 	return true;
}


function buyOrders(){
	var userid = '${sessionScope.user.userid}';
	if(userid==''){
		alert('你还未登录,请先登录');
		return;
	}
	var beginDate = $('#beginDate').val();
	var endDate = $('#endDate').val();
	if(beginDate!=""&&endDate!=""){
		var beginTime =  beginDate.replace(/-/g,"/");
		var oDate1 = new Date(beginTime);
		if(beginDate>endDate){
			alert("开始日期不能小于结束日期");
			return ;
		}
		var endTime =  endDate.replace(/-/g,"/");
		var oDate2 = new Date(endTime);
		var dis = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 /24); 
		if(dis>30){
			alert("开始日期和结束日期间隔不能超过30天");
			return ;
		}  
	}
	$.ajax({
		//用POST方式传输
		type : "POST",
		//数据格式:JSON
		dataType : "json",
		//目标地址
		url : '/sc/ajaxOrderList.action',
		data : {
					beginDate:beginDate,
					endDate:endDate,
					flag:flag
				},
		success : function(json) {
			if(json.success==true){
				$('#beginDate').val(json.beginDate);
				$('#endDate').val(json.endDate);
				var html='';
				$.each(json.list,function(i,item){
					html+='<dl class="cur"><dt><div class="pops_con_title">&nbsp;<input name="orderNo" type="radio" value="'+item.superbillid+'" /> 订单编号：'+item.superbillid+'    创建时间：'+item.beginDate+'</div>' 
						+'<div class="pops_con_status"><span class="gray_a">'+item.billstatusname+'</span></div></dt>'
					    +'<dd><div class="pops_con_title"><b class="f14"><q class="green">['+item.gtidname+']</q>'+item.title+'</b></div>'
					    +'<div class="pops_con_status"><b class="red">￥'+item.goodsperprice+'</b></div></dd>'
					    +'<dd><div class="pops_con_title">游戏/区/服：'+item.gamename+'/'+item.gamename+'/'+item.servername+'</div></dd>'
					    +'</dl>';
				});
				if(html!=''){
					$('.pops_con').html(html);
				}else{
					$('.pops_con').html('<p class="tcenter f16 bold"><i class="tishi"></i>很抱歉，找不到订单记录。</p>');
				}
				return true;
			}else{
				alert(json);
				return false;
			}
		}
	});
}

jQuery.fn.center = function(loaded) {
	var obj = this;
	body_width = parseInt($(window).width());
	body_height = parseInt($(window).height());
	block_width = parseInt(obj.width());
	block_height = parseInt(obj.height());
	
	left_position = parseInt((body_width/2) - (block_width/2)  + $(window).scrollLeft());
	if (body_width<block_width) { left_position = 0 + $(window).scrollLeft(); };
	
	top_position = parseInt((body_height/2) - (block_height/2) + $(window).scrollTop());
	if (body_height<block_height) { top_position = 0 + $(window).scrollTop(); };
	
	if(!loaded) {
		
		obj.css({'position': 'absolute'});
		obj.css({ 'top': top_position, 'left': left_position });
		$(window).bind('resize', function() { 
			obj.center(!loaded);
		});
		$(window).bind('scroll', function() { 
			obj.center(!loaded);
		});
		
	} else {
		obj.stop();
		obj.css({'position': 'absolute'});
		obj.animate({ 'top': top_position }, 0, 'linear');
	}
}